# $Id: gaim.spec,v 1.23 2003/12/12 17:18:22 dude Exp $

%define perl_vendorarch    %(eval "`perl -V:installvendorarch`";    echo $installvendorarch)
%define perl_vendorman3dir %(eval "`perl -V:installvendorman3dir`"; echo $installvendorman3dir)

Summary: A Gtk2 based multiprotocol instant messaging client.
Name: gaim
Version: 0.74
Release: 0.rh9.3.fr
Epoch: 1
License: GPL
Group: Applications/Internet
URL: http://gaim.sourceforge.net/
Source: http://prdownloads.sourceforge.net/gaim/%{name}-%{version}.tar.bz2
Patch0: gaim-0.72-desktop.patch
Patch1: gaim-prefs.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: gtk2, gtkspell, libao
Requires: mozilla-nss, mozilla-nspr
Requires: startup-notification, audiofile
%{?_with_tcltk:Requires: tcl, tk}
%{?_with_arts:Requires: arts}
%{?_with_perl:Requires: perl}
BuildRequires: XFree86-devel
BuildRequires: libtool, gtk2-devel, gtkspell-devel, libao-devel
BuildRequires: mozilla-nss, mozilla-nss-devel
BuildRequires: mozilla-nspr, mozilla-nspr-devel, libstdc++-devel
BuildRequires: startup-notification-devel, audiofile-devel
%{?_with_tcltk:BuildRequires: tcl-devel, tk-devel}
%{?_with_arts:BuildRequires: arts-devel}
%{?_with_perl:BuildRequires: perl}

%description
Gaim is a multi-protocol instant messaging client compatible with AIM (Oscar
and TOC protocols), ICQ, MSN Messenger, Yahoo, IRC, Jabber, Gadu-Gadu, and
Zephyr networks.

Gaim users can log in to multiple accounts on multiple IM networks
simultaneously. This means that you can be chatting with friends on AOL
Instant Messenger, talking to a friend on Yahoo Messenger, and sitting
in an IRC channel all at the same time.

Gaim supports many features of the various networks, such as file transfer
(coming soon), away messages, typing notification, and MSN window closing
notification. It also goes beyond that and provides many unique features.
A few popular features are Buddy Pounces, which give the ability to notify
you, send a message, play a sound, or run a program when a specific buddy
goes away, signs online, or returns from idle; and plugins, consisting of
text replacement, a buddy ticker, extended message notification, iconify on
away, and more. 

Available rpmbuild rebuild options :
--with : tcltk arts perl

%prep
%setup -q -n %{name}-%{?date:%{date}}%{!?date:%{version}}
%patch0 -p1 -b .desktop
%patch1 -p1 -b .prefs

%build
%configure \
    %{!?_with_tcltk:--disable-tcl --disable-tk} \
    %{!?_with_arts:--disable-artsc} \
    %{!?_with_perl:--disable-perl}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}
strip %{buildroot}%{_libdir}/{*.so*,%{name}/*.so} || :
%{?_with_perl:rm -f %{buildroot}%{perl_archlib}/perllocal.pod}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc/the_penguin.txt doc/CREDITS NEWS COPYING AUTHORS doc/FAQ README
%doc ChangeLog doc/PERL-HOWTO.dox HACKING doc/gaims_funniest_home_convos.txt
%{_bindir}/%{name}*
%{_includedir}/%{name}-remote
%{_libdir}/%{name}
%{_libdir}/lib%{name}-remote.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}
%{_datadir}/sounds/%{name}
%{_mandir}/man1/*
%if %{?_with_perl:1}%{!?_with_perl:0}
  %{perl_vendorarch}/Gaim.pm
  %{perl_vendorarch}/auto/Gaim
  %{perl_vendorman3dir}/*
%endif

%changelog
* Fri Dec 12 2003 Matthias Saou <http://freshrpms.net/> - 0.74-3.fr
- Rebuild now that mach seems to get proper configure paths for X stuff.

* Mon Dec  1 2003 Matthias Saou <http://freshrpms.net/> - 0.74-2.fr
- Included changes for the optional perl build from Gary Peck.

* Wed Nov 26 2003 Matthias Saou <http://freshrpms.net/> - 0.74-1.fr
- Update to 0.74.

* Mon Nov 24 2003 Matthias Saou <http://freshrpms.net/> - 0.73-1.fr
- Update to 0.73.

* Thu Nov  6 2003 Matthias Saou <http://freshrpms.net/> - 0.72-1.fr
- Added missing build deps : startup-notification, audiofile, XFree86-devel.

* Mon Nov  3 2003 Matthias Saou <http://freshrpms.net/> - 0.72-1.fr
- Update to 0.72.
- Updated the desktop patch.

* Tue Oct 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.71.

* Mon Sep 29 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.70.
- Updated description with a more current list of features.
- Disable tcl/tk bindings by default, "tcltk" conditional build.
- Added libstdc++-devel dependency, thanks to mach.

* Fri Sep 26 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.69.

* Wed Sep  3 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.68.
- Disable perl module by default.

* Sat Aug 16 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.67.

* Sat Jul 19 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.66.
- Added explicit library stripping for YDL.

* Thu Jul 17 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.65.
- Added new gaim-remote files.

* Mon Jul 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added MSN fix patch.

* Sun Jun  1 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.64.

* Tue May 20 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.63.

* Tue Apr 29 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.62.

* Wed Apr  9 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.61.

* Sat Apr  5 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.60 final!
- Now rebuild on Red Hat Linux 9.

* Thu Jan 29 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 20030131 CVS release.
- Removed the openssl dependencies as the encryption plugin isn't there.
- Put the Epoch tag back to 1 as Red Hat's package has it set.

* Thu Jan 29 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 20030129 CVS release.
- Spec file changes and merge of the encryption plugin sub-package.
- Added --with arts rebuild option.

* Mon Jan  20 2003 Warren Togami <warren@togami.com> 20030120.fedora.2
- Add BuildRequires: gtkspell-devel
- CVS update

* Mon Dec  26 2002 Warren Togami <warren@togami.com>
- Updated to latest CVS
- Package for Fedora

